uab.classes.DiseaseEffect = uab.mixins.aceOO.Class(uab.interfaces.IUnitEffect)

function uab.classes.DiseaseEffect.prototype:init()
	uab.classes.DiseaseEffect.super.prototype.init(self)
end

function uab.classes.DiseaseEffect.prototype:GetName()
	return "diseased"
end

function uab.classes.DiseaseEffect.prototype:GetDisplayName()
	return "Disease"
end

function uab.classes.DiseaseEffect.prototype:GetDefaultHighlightColor()
	return { r = 1,    g = 0.75, b = 0, a = 1, }
end

function uab.classes.DiseaseEffect.prototype:IsActive(action, button, unit)
	return uab.mixins.aura:UnitHasDebuffType(unit, "Disease")
end

uab:RegisterUnitEffect(uab.classes.DiseaseEffect)
